import request from '@/utils/request'
import data from "@/views/system/dict/data.vue";

// 发起议价
export function startBargain(data) {
  return request({
    url: '/business/bargain/price/start',
    method: 'post',
    data: data
  })
}

// 接受议价价格
export function acceptBargainPrice(quotationId) {
  return request({
    url: '/business/bargain/price/accept/' + quotationId,
    method: 'get',
  })
}

// 驳回议价价格
export function rejectBargainPrice(quotationId) {
  return request({
    url: '/business/bargain/price/reject/' + quotationId,
    method: 'get',
  })
}

// 议价明细
export function selectTqBargainPriceList(query) {
  return request({
    url: '/business/bargain/price/list',
    method: 'get',
    params: query
  })
}
